#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'chemistry_paradise/shared.rb'
require 'chemistry_paradise/chemistry_controller.rb'
require 'chemistry_paradise/calculate_atomic_mass.rb'

require 'colours/colours_e_autoinclude.rb'

# =========================================================================== #
# === s
# =========================================================================== #
def s(i)
  opn; e i
end
s 'This file will run some tests to ensure that the'
s 'ChemistryParadise-Project works as intended.'
e
s 'Next testing '+Colours.slateblue('ChemistryController.berechne_atomgewicht()')
# ChemistryController.berechne_atomgewicht(:test_default_molecules)
# $RSRC/chemistry_paradise/test/testing_chemistry_paradise.rb
_ = 'C16H12N2'
e; e 'The formula that we will text next is: '+simp(_); e
s ChemistryParadise::CalculateAtomicMass[_]
e

_ = 'C2H2'
e; e 'The formula that we will text next is: '+simp(_); e
s ChemistryParadise::CalculateAtomicMass[_]

_ = ChemistryParadise::CalculateAtomicMass::DEFAULT_INPUT
e; e 'The formula that we will text next is: '+simp(_); e
s ChemistryParadise::CalculateAtomicMass[_]

_ = 'Ca(OH)2'
e; e 'The formula that we will text next is: '+simp(_); e
s ChemistryParadise::CalculateAtomicMass[_]

# =========================================================================== #
# We will report in the german language next.
# =========================================================================== #
ChemistryParadise::CalculateAtomicMass.new(_)
e
e 'And next, we will report the result in english again.'
ChemistryParadise.do_use_english
_ = 'Ca(OH)2'
e; e 'The formula that we will text next is: '+simp(_); e
ChemistryParadise::CalculateAtomicMass.new(_)